#ifndef __TOOLS_H
#define __TOOLS_H

#include <boost/multi_array.hpp>
#include <complex>
#include <functional>
#include <mimas/image.h>

namespace mimas {

template< typename T >
image< T > multi_array_to_image( const boost::multi_array< T, 2 > &x );

template< typename T >
boost::multi_array< T, 2 > image_to_multi_array( const image< T > &x );

}

#include "tools.tcc"

#endif
