#ifndef __TOOLS_TCC
#define __TOOLS_TCC

namespace mimas {

template< typename T >
mimas::image< T > multi_array_to_image
   ( const boost::multi_array< T, 2 > &x )
{
  mimas::image< T > retVal; retVal.init( x.shape()[ 1 ], x.shape()[ 0 ] );
  retVal.rawData() = x;
  return retVal;
}

template< typename T >
boost::multi_array< T, 2 > image_to_multi_array
   ( const mimas::image< T > &x )
{
  return x.rawData();
}

}

#endif
