#include "colors.inc"

global_settings {
   ambient_light White
}

background {
   color White
}

camera {
  location <  0.8, 0.1, -1.9 >
  look_at  <  0.0,  -0.2,  0.0 >
  angle 30
}

// light_source {
//    < 1000, 1000, -500 >
//    color White
//    fade_distance 1400
// }

height_field {
   png "wheel1hf.png"
   smooth
   pigment {
      image_map {
         png "wheel1dv.png"
         once
         map_type 0
      }
      rotate x*90
   }
   finish {
      ambient    1.0
      // diffuse    0.4
      // reflection 0.1
      // specular   0.6
      // roughness  0.01
   }
   translate < -0.5, -0.5, -0.5 >
   rotate clock*360*y
   // 7 um distance, 200 levels
   // stack: 1082 x 1400 x 676
   scale < 1.082, 1.792, 0.676 >
   rotate -x*30
}
